export { default as AuthLogin } from '../..\\components\\auth\\login.vue'
export { default as AuthTwoStepVerification } from '../..\\components\\auth\\twoStepVerification.vue'
export { default as AuthVerifiedToken } from '../..\\components\\auth\\verifiedToken.vue'
export { default as BaseAddProductToOrder } from '../..\\components\\base\\addProductToOrder.vue'
export { default as BaseApplication } from '../..\\components\\base\\application.vue'
export { default as BaseBaner } from '../..\\components\\base\\baner.vue'
export { default as BaseCategory } from '../..\\components\\base\\category.vue'
export { default as BaseDiscount } from '../..\\components\\base\\discount.vue'
export { default as BaseFooter } from '../..\\components\\base\\footer.vue'
export { default as BaseHeader } from '../..\\components\\base\\header.vue'
export { default as BaseHeader2 } from '../..\\components\\base\\header2.vue'
export { default as BaseHeader3 } from '../..\\components\\base\\header3.vue'
export { default as BaseMap } from '../..\\components\\base\\map.vue'
export { default as BaseProductCategory } from '../..\\components\\base\\ProductCategory.vue'
export { default as BaseProductQuickview } from '../..\\components\\base\\productQuickview.vue'
export { default as BaseServices } from '../..\\components\\base\\services.vue'
export { default as BaseSpecialDiscounts } from '../..\\components\\base\\SpecialDiscounts.vue'
export { default as BaseSpecialِِِDiscount } from '../..\\components\\base\\specialِِِDiscount.vue'
export { default as BaseTest } from '../..\\components\\base\\test.vue'
export { default as BaseTests } from '../..\\components\\base\\tests.vue'
export { default as BaseTopSliders } from '../..\\components\\base\\topSliders.vue'
export { default as BaseViewCategories } from '../..\\components\\base\\ViewCategories.vue'
export { default as CatBreadcrumb } from '../..\\components\\cat\\Breadcrumb.vue'
export { default as CatItem } from '../..\\components\\cat\\CatItem.vue'
export { default as CatFilters } from '../..\\components\\cat\\filters.vue'
export { default as CatHeader } from '../..\\components\\cat\\Header.vue'
export { default as CatPaginations } from '../..\\components\\cat\\paginations.vue'
export { default as CatProductList } from '../..\\components\\cat\\productList.vue'
export { default as CheckoutButtonNumber } from '../..\\components\\Checkout\\ButtonNumber.vue'
export { default as CheckoutCallbackSuccessful } from '../..\\components\\Checkout\\callbackSuccessful.vue'
export { default as CheckoutCallbackUnSuccess } from '../..\\components\\Checkout\\callbackUnSuccess.vue'
export { default as ContentButton } from '../..\\components\\content\\button.vue'
export { default as ContentDropdown } from '../..\\components\\content\\dropdown.vue'
export { default as ContentInput } from '../..\\components\\content\\input.vue'
export { default as MobileBottomNavbar } from '../..\\components\\mobile\\bottomNavbar.vue'
export { default as MobileHeader } from '../..\\components\\mobile\\header.vue'
export { default as ModalAddress } from '../..\\components\\modal\\modalAddress.vue'
export { default as PasswordChangePassword } from '../..\\components\\password\\changePassword.vue'
export { default as PasswordCreatePassword } from '../..\\components\\password\\createPassword.vue'
export { default as VariantsProductItem } from '../..\\components\\variants\\productItem.vue'
export { default as VariantsProductItemSpecial } from '../..\\components\\variants\\productItemSpecial.vue'
export { default as VariantsSlider } from '../..\\components\\variants\\slider.vue'

// nuxt/nuxt.js#8607
function wrapFunctional(options) {
  if (!options || !options.functional) {
    return options
  }

  const propKeys = Array.isArray(options.props) ? options.props : Object.keys(options.props || {})

  return {
    render(h) {
      const attrs = {}
      const props = {}

      for (const key in this.$attrs) {
        if (propKeys.includes(key)) {
          props[key] = this.$attrs[key]
        } else {
          attrs[key] = this.$attrs[key]
        }
      }

      return h(options, {
        on: this.$listeners,
        attrs,
        props,
        scopedSlots: this.$scopedSlots,
      }, this.$slots.default)
    }
  }
}
